Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

7 - Développer/Traduire/Documenter/Annoncer une application

> Forums de discussion > 7 - Développer/Traduire/Documenter/Annoncer une application > [RÉSOLU] freqtweak ne compile plus sur debian stretch
Dernier post

[RÉSOLU] freqtweak ne compile plus sur debian stretch

olinuxx utilisateur non connecté France
FreqTweak ne compile plus sur debian stretch alors qu'il compilait sur debian Jessie.

@ycollet : si tu passes par ce fil de discussion, les messages d'erreur concernent "sigc" et je me demande du coup si ça ne serait pas du même acabit que le soucis pour AZR3 que tu as corrigé dans ton fork .

Pour info :
$ gcc --version
gcc (Debian 6.3.0-18) 6.3.0 20170516


ycollet utilisateur non connecté France
Hello,

Pas de soucis, je regarderai ça ce soir.
C'est bien possible que ça vienne de là.

Bonne journée,

Yann

ycollet utilisateur non connecté France
Pour freqtweak, c'est une autre histoire: j'ai l'impression que freqtweak dépend de libsigc-1.2 et pas de libsigc-2.0 et la version de wxwindows n'est pas bonne non plus. Je vais voir s'il n'est pas possible de récupérer ces versions.

olinuxx utilisateur non connecté France
OK, merci d'avoir jeté un œil.

ycollet utilisateur non connecté France
Bon, j'ai pas mal avancé sur freqtweak. Finalement, je l'ai passé vers wxWindows-3.0 et libsigc++-2.0.
J'ai l'impression que tout est là. Le binaire semble fonctionner.
Il faudrait que quelqu'un qui ait l'habitude de ce logiciel fasse quelque test et qu'on ait un retour pour voir ce qui va ou pas.
Le dépôt avec les modifications est disponible ici:

https://github.com/ycollet/freqtweak

olinuxx utilisateur non connecté France
Je viens de compiler/empaqueter à partir de ton commit f0c115f , et j'ai testé vite fait à travers jackd :
  • l'audio stéréo rentre et sort bien
  • les différents effets semblent agir sur l'audio

...sauf l'étage de Gate qui semble :
1) ne pas agir sur le son
2) ne pas accepter de dé-linker le canal droit et le canal gauche

En tout cas, merci (encore une fois) !

ycollet utilisateur non connecté France
Je vais jeter un coup d'oeil, mais il ne me semble pas que les modifications aient touché cette partie du code.

olinuxx utilisateur non connecté France
OK, peut être que c'était là avant alors. Ou peut être qu'il y a un truc spécifique que je ne comprends pas. Tu as noté ce comportement également ?

Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Connexion
[Afficher / Cacher]


Mégaphone [Afficher / Cacher]

sub26nico, 21:15, ven. 20 Jul 2018: Salut et bienvenue à leolivier :-)
syberia303, 13:01, jeu. 19 Jul 2018: Les choses se précisent: [Lien] Un futur must have?
syberia303, 12:59, jeu. 19 Jul 2018: @sub26nico, de rien. Je ne le connaissais pas personnellement. Par contre: "The Linux Plugin has no meters since LADSPA doesn´t support a custom GUI. But it supports 5.1 surround modes. See README file in the LADSPA zip package for further informations."
sub26nico, 22:47, mer. 18 Jul 2018: Salut et bienvenue à Gruik et paulfilo :-)
sub26nico, 21:06, mar. 17 Jul 2018: Merci syberia303, je connaissais le plugin mais pas sa disponibilité sous Linux
syberia303, 17:20, mar. 17 Jul 2018: LoudMax, un compresseur natif en LADSPA: [Lien]
sub26nico, 20:34, lun. 16 Jul 2018: Salut et bienvenue à nijho :-)
allany, 22:05, ven. 13 Jul 2018: Salut visio ! Agréable retour parmi nous, ici !...
visio, 17:00, ven. 13 Jul 2018: Bonjour tout le monde ! Suis de retour après une longue période d’absence !
sub26nico, 20:05, mer. 11 Jul 2018: Salut et bienvenue à Marteau-Pilon :-)
sub26nico, 15:15, mar. 10 Jul 2018: Salut et bienvenue à MineG33k :-)
sub26nico, 13:39, lun. 09 Jul 2018: Salut et bienvenue à jyzre :-)